.layer-visual {
  padding-top: 76px;
  position: relative;
}
.layer-visual__deco {
  position: absolute;
  top: 76px;
  left: 0;
}
.layer-visual__img {
  width: 94%;
  height: 80vh;
  max-height: 728px;
  margin: 3% auto;
  border-radius: 30px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.layer-visual__bubble {
  position: absolute;
  bottom: -48px;
  right: 0;
  margin-left: 80px;
}
.layer-visual.-language .layer-visual__img {
  background-image: url(/fc/assets/img/language/visual.jpg);
}
.layer-visual.-humath .layer-visual__img {
  background-image: url(/fc/assets/img/humath/visual.jpg);
}
.layer-visual.-programming .layer-visual__img {
  background-image: url(/fc/assets/img/programming/visual.jpg);
}
@media (max-width: 1024px) {
  .layer-visual {
    padding-top: 56px;
  }
  .layer-visual__deco {
    width: 45%;
    max-width: 200px;
    top: 56px;
  }
  .layer-visual__img {
    max-height: 650px;
  }
}
@media (max-width: 767px) {
  .layer-visual__img {
    width: 90%;
    margin: 40px auto;
    max-height: 590px;
  }
  .layer-visual.-language .layer-visual__img {
    background-image: url(/fc/assets/img/language/visual-sp.jpg);
  }
  .layer-visual.-humath .layer-visual__img {
    background-image: url(/fc/assets/img/humath/visual-sp.jpg);
  }
  .layer-visual.-programming .layer-visual__img {
    background-image: url(/fc/assets/img/programming/visual-sp.jpg);
  }
}

.layer-heading {
  font-size: 3.2rem;
  font-weight: 700;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  line-height: 1.6;
  text-align: center;
  margin-bottom: 56px;
}
.layer-heading.-large {
  font-size: 3.8rem;
}
.layer-heading::before {
  content: '';
  font-family: 'Roboto', sans-serif;
  font-size: 1.4rem;
  font-weight: 500;
  margin-bottom: 8px;
}
.layer-heading.-language span {
  color: #B8AF16;
}
.layer-heading.-language::before {
  color: #B8AF16;
}
.layer-heading.-humath span {
  color: #B61687;
}
.layer-heading.-humath::before {
  color: #B61687;
}
.layer-heading.-programming span {
  color: #F38592;
}
.layer-heading.-programming::before {
  color: #F38592;
}
.layer-heading.-reason::before {
  content: 'reason';
}
.layer-heading.-case:before {
  content: 'case';
}
@media (max-width: 767px) {
  .layer-heading {
    font-size: 2.6rem;
    margin-bottom: 40px;
  }
  .layer-heading.-large {
    font-size: 2.6rem;
  }
}

.layer-sec01__inner {
  padding-top: 140px;
  position: relative;
}
.layer-sec01__deco {
  position: absolute;
  width: 230px;
  right: 0;
  top: 6%;
  z-index: -1;
}
.layer-sec01::after {
  content: '';
  position: absolute;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 44px 97px 0 97px;
  border-color: #ffffff transparent transparent transparent;
  left: 50%;
  transform: translateX(-50%);
  z-index: 50;
}
.layer-sec01__main {
  margin-top: 80px;
}
@media (max-width: 767px) {
  .layer-sec01__deco {
    width: 120px;
    top: 10%;
  }
  .layer-sec01__main {
    margin-top: 40px;
  }
  .layer-sec01::after {
    border-width: 32px 70px 0 70px;
  }
}

.layer-sec02 {
  position: relative;
}
.layer-sec02__deco {
  position: absolute;
  top: 0;
}
.layer-sec02__deco.-one {
  left: 0;
}
.layer-sec02__deco.-two {
  right: 0;
}
.layer-sec02__main {
  position: relative;
  z-index: 5;
}
.layer-sec02__btnarea {
  margin-top: 80px;
}
.layer-sec02__btn {
  max-width: 680px;
  width: 100%;
  height: 120px;
  margin: auto;
  border-radius: 10px;
  border: 3px solid #9DD996;
  background-image: url(/fc/assets/img/layer-sec02-btn.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  transition: .3s all;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: 700;
  font-size: 2.4rem;
  color: #41B330;
}
.layer-sec02__btn > div {
  margin-left: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.layer-sec02__btn span {
  margin-left: 20px;
  font-size: 2.2rem;
}
.layer-sec02__btn:hover {
  background-image: url(/fc/assets/img/layer-sec02-btn-hover.jpg);
  color: #fff;
}
@media (max-width: 1024px) {
  .layer-sec02__deco.-one {
    width: 36%;
  }
  .layer-sec02__deco.-two {
    width: 36%;
  }
}
@media (max-width: 767px) {
  .layer-sec02__deco.-one {
    width: inherit;
  }
  .layer-sec02__deco.-two {
    width: inherit;
  }
  .layer-sec02__btnarea {
    margin-top: 40px;
  }
  .layer-sec02__btn {
    height: 80px;
    font-size: 1.8rem;
  }
  .layer-sec02__btn > div {
    margin-left: 26px;
  }
  .layer-sec02__btn span {
    margin-left: 8px;
  }
}

.layer-video {
  position: relative;
  width: 100%;
  padding-top: 56.25%;
}
.layer-video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.layer-video img {
  position: absolute;
  top: 0;
  left: 0;
  cursor: pointer;
  transition: .3s all;
}
.layer-video img:hover {
  filter: brightness(1.3);
}

.layer-box__item {
  width: 100%;
  padding: 90px 72px 80px;
  border-radius: 10px;
  overflow: hidden;
  position: relative;
  background-color: #fff;
}
.layer-box__item + .layer-box__item {
  margin-top: 56px;
}
.layer-box__item-num {
  position: absolute;
  width: 144px;
  border-radius: 0 0 10px 0;
  font-family: 'Roboto', sans-serif;
  font-weight: 500;
  font-size: 1.5rem;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: baseline;
}
.layer-box__item-num span {
  font-size: 2.8rem;
  margin-left: 8px;
}
.layer-box__item-title {
  width: 100%;
  font-size: 2.6rem;
  font-weight: 700;
  text-align: center;
  padding-bottom: 32px;
  margin-bottom: 48px;
  border-bottom: 1px solid;
}
.layer-box__item-subtitle {
  font-size: 2.2rem;
  font-weight: 700;
  margin-bottom: 24px;
}
.layer-box__item-subtitle.-center {
  text-align: center;
}
.layer-box__item-highlight {
  font-weight: 500;
  width: fit-content;
  display: inline;
}
.layer-box__item-grid {
  display: grid;
}
.layer-box__item-grid.-duo {
  grid-template-columns: repeat(2, 1fr);
  gap: 80px 40px;
}
.layer-box__item-grid.-duo.-programming-reason01 {
  gap: 40px;
}
.layer-box__item-grid.-triple {
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}
.layer-box__item-img img {
  border-radius: 10px;
  overflow: hidden;
}
.layer-box__item-img .-language-case03 {
  width: 90%;
  display: flex;
  margin: -60px auto 0;
}
.layer-box__item-img.-programming-reason02 {
  width: 80%;
  margin: auto;
}
.layer-box__item-text {
  margin-bottom: 40px;
}
.layer-box__item-additional {
  border-radius: 10px;
  padding: 40px 30px;
  margin-top: 56px;
}
.layer-box__item-additional.-language-reason01 {
  display: flex;
  justify-content: space-between;
}
.layer-box__item-additional.-language-reason01 .layer-box__item-additional_img {
  width: 26%;
}
.layer-box__item-additional.-language-reason01 .layer-box__item-additional_text {
  width: 70%;
}
.layer-box__item-additional.-language-reason03 .layer-box__item-additional_img {
  margin-top: 40px;
}
.layer-box__item-additional.-language-reason03 .layer-box__item-additional_text {
  font-size: 1.8rem;
  font-weight: 700;
  text-align: center;
}
.layer-box__item-smalladditional {
  padding: 32px;
  text-align: center;
  font-weight: 700;
  border-radius: 10px;
}
.layer-box__item-btnarea {
  margin-top: 56px;
  display: flex;
  justify-content: center;
}
.layer-box__item-btn {
  width: 284px;
  border-radius: 35px;
  background-color: #fff;
  padding: 16px 20px 16px 32px;
  font-weight: 700;
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 0 3px 20px rgba(0, 0, 0, 0.08);
}
.layer-box__item-btn span {
  font-size: 2.2rem;
}
@media (max-width: 767px) {
  .layer-box__item {
    padding: 70px 20px 50px;
  }
  .layer-box__item-title {
    font-size: 2.4rem;
    padding-bottom: 16px;
    margin-bottom: 30px;
    line-height: 1.6;
  }
  .layer-box__item-subtitle {
    font-size: 2rem;
    line-height: 1.6;
  }
  .layer-box__item-num {
    width: 110px;
  }
  .layer-box__item-num span {
    font-size: 2.2rem;
  }
  .layer-box__item-img.-language-reason03 {
    overflow-x: scroll;
  }
  .layer-box__item-img.-language-reason03 img {
    width: 700px;
    max-width: none;
  }
  .layer-box__item-img.-programming-reason02 {
    width: 100%;
  }
  .layer-box__item-grid.-duo {
    grid-template-columns: repeat(1, 1fr);
    gap: 24px;
  }
  .layer-box__item-grid.-triple {
    grid-template-columns: repeat(1, 1fr);
  }
  .layer-box__item-grid.-language-reason02 > div:nth-child(1), .layer-box__item-grid.-humath-reason03 > div:nth-child(1) {
    grid-row: 2/3;
  }
  .layer-box__item-grid.-language-reason05 > div:nth-child(1), .layer-box__item-grid.-humath-reason05 > div:nth-child(1), .layer-box__item-grid.-programming-reason05 > div:nth-child(1) {
    grid-row: 2/3;
  }
  .layer-box__item-additional {
    padding: 20px;
  }
  .layer-box__item-additional.-language-reason01 {
    flex-direction: column;
    justify-content: center;
  }
  .layer-box__item-additional.-language-reason01 .layer-box__item-additional_img {
    width: 60%;
    margin: 0 auto 16px;
  }
  .layer-box__item-additional.-language-reason01 .layer-box__item-additional_text {
    width: 100%;
  }
  .layer-box__item-additional.-language-reason03 .layer-box__item-additional_img {
    overflow-x: scroll;
  }
  .layer-box__item-additional.-language-reason03 .layer-box__item-additional_img img {
    width: 780px;
    max-width: none;
  }
  .layer-box__item-additional.-language-reason03 .layer-box__item-additional_text {
    font-size: 1.6rem;
    line-height: 1.6;
    font-weight: 700;
    text-align: center;
  }
}
.layer-box .brief {
  text-align: right;
  font-size: 1.5rem;
}
.layer-box .m-auto {
  margin-left: auto;
  margin-right: auto;
}
.layer-box .ai-center {
  align-items: center;
}
.layer-box .add-mt {
  margin-top: 40px;
}
.layer-box .add-mt-s {
  margin-top: 24px;
}
.layer-box .add-mt-m {
  margin-top: 56px;
}
.layer-box .add-mt-l {
  margin-top: 80px;
}
@media (max-width: 767px) {
  .layer-box .add-mt-sp {
    margin-top: 40px;
  }
}
.layer-box .add-medium {
  font-weight: 500;
}
.layer-box.-language .layer-box__item.-case {
  background-color: #FCFADC;
}
.layer-box.-language .layer-box__item.-case .layer-box__item-title {
  border-color: #fff;
}
.layer-box.-language .layer-box__item-num {
  background-color: #FFF100;
}
.layer-box.-language .layer-box__item-title {
  border-color: #F7F5D5;
}
.layer-box.-language .layer-box__item-subtitle {
  color: #B8AF16;
}
.layer-box.-language .layer-box__item-highlight {
  background: linear-gradient(transparent 40%, #FFF100 40% 90%, transparent 90%);
}
.layer-box.-language .layer-box__item-additional {
  background-color: #FCFADC;
}
.layer-box.-language .layer-box__item-smalladditional {
  background-color: #FCFADC;
}
.layer-box.-language .layer-box__item-btn {
  border: 2px solid #FFF100;
}
.layer-box.-language .layer-box__item-btn span {
  color: #FFF100;
}
.layer-box.-language .layer-box__item-btn:hover {
  background-color: #FFF100;
}
.layer-box.-language .layer-box__item-btn:hover span {
  color: #444;
}
.layer-box.-humath .layer-box__item.-case {
  background-color: #FFF2FB;
}
.layer-box.-humath .layer-box__item.-case .layer-box__item-title {
  border-color: #fff;
}
.layer-box.-humath .layer-box__item-num {
  background-color: #B61687;
  color: #fff;
}
.layer-box.-humath .layer-box__item-title {
  border-color: #FFF2FB;
}
.layer-box.-humath .layer-box__item-subtitle {
  color: #B61687;
}
.layer-box.-humath .layer-box__item-highlight {
  background: linear-gradient(transparent 40%, #FFC9EE 40% 90%, transparent 90%);
}
.layer-box.-humath .layer-box__item-additional {
  background-color: #FFF2FB;
}
.layer-box.-humath .layer-box__item-smalladditional {
  background-color: #FFF2FB;
}
.layer-box.-humath .layer-box__item-btn {
  border: 2px solid #B61687;
  color: #B61687;
}
.layer-box.-humath .layer-box__item-btn span {
  color: #B61687;
}
.layer-box.-humath .layer-box__item-btn:hover {
  background-color: #B61687;
  color: #fff;
}
.layer-box.-humath .layer-box__item-btn:hover span {
  color: #fff;
}
.layer-box.-programming .layer-box__item.-case {
  background-color: #FEF3F4;
}
.layer-box.-programming .layer-box__item.-case .layer-box__item-title {
  border-color: #fff;
}
.layer-box.-programming .layer-box__item-num {
  background-color: #F38592;
  color: #fff;
}
.layer-box.-programming .layer-box__item-title {
  border-color: #FEF3F4;
}
.layer-box.-programming .layer-box__item-subtitle {
  color: #F38592;
}
.layer-box.-programming .layer-box__item-highlight {
  background: linear-gradient(transparent 40%, #FFCCD2 40% 90%, transparent 90%);
}
.layer-box.-programming .layer-box__item-additional {
  background-color: #FEF3F4;
}
.layer-box.-programming .layer-box__item-smalladditional {
  background-color: #FEF3F4;
}
.layer-box.-programming .layer-box__item-btn {
  border: 2px solid #F38592;
  color: #F38592;
}
.layer-box.-programming .layer-box__item-btn span {
  color: #F38592;
}
.layer-box.-programming .layer-box__item-btn:hover {
  background-color: #F38592;
  color: #fff;
}
.layer-box.-programming .layer-box__item-btn:hover span {
  color: #fff;
}

.special-layout-method__item {
  background-color: #FFF2FB;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  padding: 32px 20px;
}
.special-layout-method__num {
  position: absolute;
  font-family: 'Roboto', sans-serif;
  color: #F8DBEF;
  top: 0px;
  left: 16px;
  font-size: 2.8rem;
  font-weight: 500;
}
.special-layout-method__title {
  font-size: 1.8rem;
  font-weight: 700;
  text-align: center;
  line-height: 1.6;
}

.special-layout-course {
  padding: 24px 40px;
  border: 2px solid;
  background-color: #fff;
  border-radius: 10px;
}
.special-layout-course__grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 15px;
}
.special-layout-course__title {
  font-weight: 700;
  font-size: 2rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.special-layout-course__title-eng {
  font-family: 'Roboto', sans-serif;
  font-size: 1.4rem;
  font-weight: 500;
}
.special-layout-course__title-length {
  font-weight: 400;
  font-size: 1.6rem;
}
.special-layout-course.-green {
  border-color: #41B330;
}
.special-layout-course.-green .special-layout-course__title-eng {
  color: #41B330;
}
.special-layout-course.-yellow {
  border-color: #FFBB00;
}
.special-layout-course.-yellow .special-layout-course__title-eng {
  color: #FFBB00;
}
.special-layout-course.-blue {
  border-color: #17AAEB;
}
.special-layout-course.-blue .special-layout-course__title-eng {
  color: #17AAEB;
}
.special-layout-course.-pink {
  border-color: #FB7BE1;
}
.special-layout-course.-pink .special-layout-course__title-eng {
  color: #FB7BE1;
}
.special-layout-course__brief {
  font-weight: 700;
  margin: 20px 0 14px;
}
.special-layout-course__brief span {
  color: #16B0F0;
}
@media (max-width: 767px) {
  .special-layout-course {
    padding: 26px 20px;
  }
  .special-layout-course__grid {
    grid-template-columns: 1fr;
  }
  .special-layout-course__brief {
    margin: 14px 0;
  }
}

.humath-reason03-special {
  margin-top: -30px;
  width: 98%;
}
.humath-reason03-special__img {
  box-shadow: 0 3px 20px rgba(182, 22, 135, 0.08);
  margin-bottom: 20px;
}
.humath-reason03-special__text {
  width: 90%;
  margin: auto;
}
@media (max-width: 767px) {
  .humath-reason03-special {
    width: 100%;
    background-color: #BAC6EC;
    padding: 0 16px 32px;
    margin-top: -30px;
    gap: 32px !important;
    border-radius: 10px;
  }
  .humath-reason03-special__item {
    max-width: 584px;
    margin: auto;
  }
  .humath-reason03-special__img {
    margin-bottom: 16px;
  }
  .humath-reason03-special__text {
    width: 100%;
  }
}
